#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDDIR=$(CURDIR)/debian/build

%:
	dh $@

override_dh_auto_configure:
	mkdir -p $(BUILDDIR)

	cp -rpf src/* $(BUILDDIR)
	ln -s $(BUILDDIR)/Makefile.linux $(BUILDDIR)/Makefile

override_dh_auto_build: 
	dh_auto_build --builddirectory=$(BUILDDIR) -- all

override_dh_clean:
	dh_clean
	-rm -rf $(BUILDDIR)

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.txt

